Auditors
Create an auditor
Create an auditor in Vanta.
Rate limit: 10 requests / minute.
POST
/
auditors
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.auditors.create({
email: "Genesis_Kunze87@yahoo.com",
givenName: "<value>",
familyName: "<value>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.components.AddAuditorInput;
import com.vanta.vanta_auditor_api.models.operations.CreateAuditorResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
AddAuditorInput req = AddAuditorInput.builder()
.email("Genesis_Kunze87@yahoo.com")
.givenName("<value>")
.familyName("<value>")
.build();
CreateAuditorResponse res = sdk.auditors().create()
.request(req)
.call();
if (res.auditor().isPresent()) {
System.out.println(res.auditor().get());
}
}
}curl --request POST \
--url https://api.vanta.com/v1/auditors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"givenName": "<string>",
"familyName": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/auditors"
payload = {
"email": "<string>",
"givenName": "<string>",
"familyName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', givenName: '<string>', familyName: '<string>'})
};
fetch('https://api.vanta.com/v1/auditors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "65fc81a3359c8508c9af880f",
"organizationId": "8c9af880f1a335965fc850c8",
"email": "testauditor@audit.com",
"givenName": "Sam",
"familyName": "Auditor"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Ok
Was this page helpful?
Previous
List auditsReturns a paginated list of audits scoped to the audit firm.
To identify IRL (Information Request List) audits, check for the presence of the
`auditorRequestListMetadata` field. This field is only present for IRL-based audits
and will be `undefined` for standard audits.
Rate limit: 250 requests / minute.
Next
⌘I
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";
const vanta = new Vanta({
bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});
async function run() {
const result = await vanta.auditors.create({
email: "Genesis_Kunze87@yahoo.com",
givenName: "<value>",
familyName: "<value>",
});
console.log(result);
}
run();package hello.world;
import com.vanta.vanta_auditor_api.Vanta;
import com.vanta.vanta_auditor_api.models.components.AddAuditorInput;
import com.vanta.vanta_auditor_api.models.operations.CreateAuditorResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Vanta sdk = Vanta.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
AddAuditorInput req = AddAuditorInput.builder()
.email("Genesis_Kunze87@yahoo.com")
.givenName("<value>")
.familyName("<value>")
.build();
CreateAuditorResponse res = sdk.auditors().create()
.request(req)
.call();
if (res.auditor().isPresent()) {
System.out.println(res.auditor().get());
}
}
}